/**
 * @license
 * Copyright LOGO YAZILIM SANAYİ VE TİCARET A.Ş. All Rights Reserved.
 *
 * Save to the extent permitted by law, you may not use, copy, modify,
 * distribute or create derivative works of this material or any part
 * of it without the prior written consent of LOGO YAZILIM SANAYİ VE TİCARET A.Ş. Limited.
 * Any reproduction of this material must contain this notice.
 */
import { AfterViewInit, OnChanges, OnDestroy, SimpleChanges, ViewContainerRef } from '@angular/core';
import { HttpClient } from '@angular/common/http';
/**
 * Markdown based content loader components. It will convert md text to html formatted and styled text.
 * Add the below code to your code stack and give initializer parameters.
 *
 * <sub>app.component.html</sub>
 *
 * ```html
 *   <logo-markdown url="'/assets/docs/getstarted.md'"></logo-markdown>
 * ```
 */
export declare class MarkdownComponent implements OnChanges, AfterViewInit, OnDestroy {
    private http;
    container: ViewContainerRef;
    /**
     * loads md formatted content from url, default is undefined
     * @Input() url = '/assets/docs/getstarted.md'
     */
    url?: string;
    /**
     * MD formatted data setter
     */
    set md(data: string);
    get md(): string;
    private string;
    private dataChange;
    private viewInit;
    private viewInit$;
    renderedDoc: any;
    constructor(http: HttpClient);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    init(): Promise<void>;
    resolve(): Promise<string>;
    resolveMarkUp(): string;
    convertToHtml(markdown: any): string;
    highlight(code: string): string;
    getFile(): Promise<string>;
}
